Bug 191311 - Update sysutils/bacula-server, sysutils/bacula-client, sysutils/bacula-client-static to 7.0.4
Summary: Update sysutils/bacula-server, sysutils/bacula-client, sysutils/bacula-client...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: William Grzybowski
URL:
Keywords:
: 191305 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-06-23 14:09 UTC by akuz84
Modified: 2014-08-07 20:25 UTC (History)
6 users (show)

See Also:


Attachments
update bacula ports to 7.0.4 (36.71 KB, patch)
2014-06-23 14:09 UTC, akuz84
no flags Details | Diff
patch to use for update (47.00 KB, patch)
2014-06-28 22:01 UTC, Dan Langille
dvl: maintainer-approval+
Details | Diff
svn diff for bacula ports (44.95 KB, patch)
2014-07-09 16:55 UTC, akuz84
no flags Details | Diff
Patch based on svn co (39.54 KB, patch)
2014-07-30 17:53 UTC, Dan Langille
no flags Details | Diff
Removed /var/ports prefixes from patch (27.20 KB, patch)
2014-07-31 16:12 UTC, Dan Langille
no flags Details | Diff
client installs, server does not. Can't install server first (32.19 KB, patch)
2014-07-31 19:50 UTC, Dan Langille
no flags Details | Diff
bacula-server cannot connect to db (32.30 KB, patch)
2014-07-31 23:05 UTC, Dan Langille
no flags Details | Diff
Just a library symlink problem now (34.62 KB, patch)
2014-08-01 01:08 UTC, Dan Langille
no flags Details | Diff
all issues fixed. (28.92 KB, patch)
2014-08-04 17:11 UTC, Dan Langille
no flags Details | Diff
Good to go (13.28 KB, patch)
2014-08-06 21:58 UTC, Dan Langille
dvl: maintainer-approval-
Details | Diff
include deleted patch file in patch (37.15 KB, patch)
2014-08-07 18:37 UTC, Dan Langille
dvl: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description akuz84 2014-06-23 14:09:43 UTC
Created attachment 144070 [details]
update bacula ports to 7.0.4

Update sysutils/bacula-server, sysutils/bacula-client, sysutils/bacula-client-static to 7.0.4, add stage support
Comment 1 akuz84 2014-06-23 19:58:13 UTC
*** Bug 191305 has been marked as a duplicate of this bug. ***
Comment 2 Kurt Jaeger freebsd_committer 2014-06-23 20:05:18 UTC
please test and approve.
Comment 3 Dan Langille freebsd_committer 2014-06-24 13:21:52 UTC
The OP and I discussed this. I already posted to the duplicate bug, and my thinking has slightly changed.

I think we should copy the existing ports to sysutils/bacula5-server, sysutils/bacula5-client, etc.

This patch would then be committed against sysutils/bacula-server

I cannot test this right away.  I hope the OP is able to submit more patches.
Comment 4 Dan Langille freebsd_committer 2014-06-28 22:01:00 UTC
Created attachment 144232 [details]
patch to use for update

I have tested this patch, provided by Andrey K, and I'm happy with the results.
Comment 5 Dan Langille freebsd_committer 2014-06-28 22:07:33 UTC
When committing this change, several ports need to be svn copied.  The goal is to retain Bacula 5 within the source tree.

sysutils/bacula-bat           -> sysutils/bacula5-bat
sysutils/bacula-client-static -> sysutils/bacula5-client-static
sysutils/bacula-client        -> sysutils/bacula5-client
sysutils/bacula-docs          -> sysutils/bacula5-docs
sysutils/bacula-server        -> sysutils/bacula5-server
Comment 6 Dan Langille freebsd_committer 2014-07-02 18:57:37 UTC
NOTE: the port has been updated (with maintainer permission) since this patch was submitted.  Any committer wishing to proceed with the current patch is welcome to do so.
Comment 7 Dan Langille freebsd_committer 2014-07-08 13:53:24 UTC
The original patch needs to be reworked against the current port.
Comment 8 akuz84 2014-07-09 16:55:30 UTC
Created attachment 144542 [details]
svn diff for bacula ports

New svn diff for bacula 7.0.4 ( diff from 5.2.12_6 ): bacula-server, bacula-client, bacula-client-static, bacula-bat
Comment 9 Dan Langille freebsd_committer 2014-07-09 17:03:31 UTC
Comment on attachment 144542 [details]
svn diff for bacula ports

Thank you for the patch.  I will be unable to review it for several days.
Comment 10 Dan Langille freebsd_committer 2014-07-09 17:12:23 UTC
Comment on attachment 144542 [details]
svn diff for bacula ports

This patch seems to add items removed by revision 359586, the commit by bapt which  implemented staging.  That doesn't seem right to me.
Comment 11 Dan Langille freebsd_committer 2014-07-30 17:53:44 UTC
Created attachment 145161 [details]
Patch based on svn co

This needs some work.  When building the client, we get this . I have not tried building the server yet; it requires the client.

NOTE we are going for libraries like:

libbac.so.7     libbaccfg.so.7  libbacfind.so.7 libbacpy.so.7

See files/patch-src__cats__Makefile.in where we do magic like this:

   -version-info $(LIBBACCATS_LT_RELEASE:S/./:/g:S/12/0/g)

I'm not sure how that should be updated, but this is being built:

# ls /var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac*
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac.so
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac.so.3
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac.so.3.4.0
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbaccfg.so
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbaccfg.so.3
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbaccfg.so.3.4.0
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacfind.so
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacfind.so.3
/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacfind.so.3.4.0


===>  Installing for bacula-client-7.0.4_1
===>   bacula-client-7.0.4_1 depends on shared library: liblzo2.so - found (/usr/local/lib/liblzo2.so.2.0.0)
===>   bacula-client-7.0.4_1 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so.9)
===>  Checking if sysutils/bacula-client already installed
===>   Registering installation for bacula-client-7.0.4_1
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac.la): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbac.so.7): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbaccfg.la): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbaccfg.so.7): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacfind.la): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacfind.so.7): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacpy.la): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacpy.so): No such file or directory
pkg-static: lstat(/var/ports/usr/ports.SVN/sysutils/bacula-client/work/stage/usr/local/lib/libbacpy.so.7): No such file or directory
pkg-static: duplicate file listing: /usr/local/etc/bacula/bconsole.conf.sample, ignoring
pkg-static: duplicate file listing: /usr/local/etc/bacula/bacula-fd.conf.sample, ignoring
pkg-static: duplicate directory listing: /usr/local/etc/bacula/, ignoring
*** [fake-pkg] Error code 74

Stop in /usr/ports.SVN/sysutils/bacula-client.
*** [install] Error code 1

Stop in /usr/ports.SVN/sysutils/bacula-client.
Comment 12 Dan Langille freebsd_committer 2014-07-30 17:54:40 UTC
Attached is a patch which attempts to return the port to a shorter library versioning solution.  For my installed bacula-client-5.2.12_4, I have these library files:

$ cd /usr/local/lib
$ ls libbac*
libbac.la       libbaccfg.la    libbacfind.la   libbacpy.la
libbac.so       libbaccfg.so    libbacfind.so   libbacpy.so
libbac.so.5     libbaccfg.so.5  libbacfind.so.5 libbacpy.so.5

This patch is not completed, but I'm hoping someone else can proceed where I have left off.
Comment 13 Dan Langille freebsd_committer 2014-07-30 18:09:17 UTC
Comment on attachment 145161 [details]
Patch based on svn co

I am not sure about these changes:  https://bugs.freebsd.org/bugzilla/attachment.cgi?id=145161&action=diff#- src/lib/Makefile.in_sec2

Not sure if it should be removed or not yet.
Comment 14 Dan Langille freebsd_committer 2014-07-31 16:12:32 UTC
Created attachment 145187 [details]
Removed /var/ports prefixes from patch

I did some more work this morning.
Comment 15 Dan Langille freebsd_committer 2014-07-31 19:50:40 UTC
Created attachment 145193 [details]
client installs, server does not.  Can't install server first
Comment 16 Dan Langille freebsd_committer 2014-07-31 23:05:13 UTC
Created attachment 145195 [details]
bacula-server cannot connect to db

I cannot start the Director:

/usr/local/sbin/bacula-dir -f -u bacula -g bacula -v -c /usr/local/etc/bacula/bacula-dir.conf -d 900

Part of the output includes:

Enter dispatch_msg type=3 msg=bacula-dir JobId 0: Fatal error: Please replace this null libbaccats library with a proper one.
Comment 17 Dan Langille freebsd_committer 2014-08-01 01:08:00 UTC
Created attachment 145196 [details]
Just a library symlink problem now

/usr/local/lib/libbaccats.so.7 should be a symlink to libbaccats-postgresql.so but is not

This allowed bacula-dir to start:

mv libbaccats.so.7 libbaccats.so.7.ORIGINAL
ln -s libbaccats-postgresql.so libbaccats.so.7
Comment 18 Dan Langille freebsd_committer 2014-08-04 17:11:16 UTC
Created attachment 145366 [details]
all issues fixed.

Can someone please review the latest patch for me.  I hope I've not undone any staging or OPTIONS stuff.
Comment 19 Dan Langille freebsd_committer 2014-08-04 18:09:41 UTC
This patch is now ready for public consumption.  I would appreciate feedback please.

See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=191311#c5 regarding repo-copies before committing this patch.

Thanks.
Comment 20 Dan Langille freebsd_committer 2014-08-05 01:52:02 UTC
When committing this change, several ports need to be svn copied.  The goal is to retain Bacula 5 within the source tree.

net-mgmt/nagios-check_bacula  -> net-mgmt/nagios-check_bacula5
sysutils/bacula-bat           -> sysutils/bacula5-bat
sysutils/bacula-client-static -> sysutils/bacula5-client-static
sysutils/bacula-client        -> sysutils/bacula5-client
sysutils/bacula-docs          -> sysutils/bacula5-docs
sysutils/bacula-server        -> sysutils/bacula5-server
Comment 21 Dan Langille freebsd_committer 2014-08-05 02:49:48 UTC
Slave ports are not building correctly.
Comment 22 Dan Langille freebsd_committer 2014-08-05 19:42:11 UTC
One remaining error with slave port: sysutils/bacula-client-static

Linking bacula-fd ...
/usr/bin/c++  -L/usr/local/lib -liconv -L../lib -L../findlib -o bacula-fd filed.o authenticate.o acl.o backup.o estimate.o fd_plugins.o accurate.o filed_conf.o heartbeat.o job.o restore.o status.o verify.o verify_vol.o xattr.o    -lz -lbacfind -lbaccfg -lbac -lm -lpthread  -lintl    /usr/local/lib/libintl.so -Wl,-rpath -Wl,/usr/local/lib -lssl -lcrypto   -llzo2
/usr/bin/c++  -L/usr/local/lib -liconv -static -L../lib -L../findlib -o static-bacula-fd filed.o authenticate.o acl.o backup.o estimate.o fd_plugins.o accurate.o filed_conf.o heartbeat.o job.o restore.o status.o verify.o verify_vol.o xattr.o    -lz -lbacfind -lbaccfg -lbac -lm -lpthread  -lintl    /usr/local/lib/libintl.a -Wl,-rpath -Wl,/usr/local/lib -lssl -lcrypto   
backup.o: In function `blast_data_to_storage_daemon(JCR*, char*)':
backup.c:(.text+0xd64): undefined reference to `__lzo_init_v2'
backup.o: In function `save_file(JCR*, FF_PKT*, bool)':
backup.c:(.text+0x2b4e): undefined reference to `lzo1x_1_compress'
restore.o: In function `decompress_data(JCR*, int, char**, unsigned int*)':
restore.c:(.text+0x457): undefined reference to `lzo1x_decompress_safe'
restore.o: In function `do_restore(JCR*)':
restore.c:(.text+0x1eab): undefined reference to `__lzo_init_v2'
/usr/local/lib/libintl.a(dcigettext.o): In function `_nl_find_msg':
dcigettext.c:(.text+0x94b): undefined reference to `libiconv_open'
dcigettext.c:(.text+0x9fa): undefined reference to `libiconv'
dcigettext.c:(.text+0xbaf): undefined reference to `libiconv_open'
/usr/local/lib/libintl.a(relocatable.o): In function `libintl_set_relocation_prefix':
relocatable.c:(.text+0x14b): undefined reference to `libiconv_set_relocation_prefix'
*** [static-bacula-fd] Error code 1
1 error
Comment 23 Dan Langille freebsd_committer 2014-08-06 21:58:51 UTC
Created attachment 145429 [details]
Good to go

A greatly reduced patch.  Please commit.
Comment 24 William Grzybowski freebsd_committer 2014-08-07 17:14:07 UTC
All the source patches are failing to apply.

Did you forget to remove them in the patch? Or is there another patch?
Comment 25 Dan Langille freebsd_committer 2014-08-07 18:37:27 UTC
Created attachment 145475 [details]
include deleted patch file in patch

This should make make check-plist happier
Comment 26 commit-hook freebsd_committer 2014-08-07 19:22:46 UTC
A commit references this bug:

Author: wg
Date: Thu Aug  7 19:21:47 UTC 2014
New revision: 364312
URL: http://svnweb.freebsd.org/changeset/ports/364312

Log:
  Copy bacula ports preparing to bacula 7.x update

  Ports have been modified to conflict with bacula- and PKGNAMESUFFIX changed
  accordingly.

  PR:		191311
  Submitted by:	maintainer

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/nagios-check_bacula5/
  head/net-mgmt/nagios-check_bacula5/Makefile
  head/sysutils/Makefile
  head/sysutils/bacula5-bat/
  head/sysutils/bacula5-bat/Makefile
  head/sysutils/bacula5-client/
  head/sysutils/bacula5-client/Makefile
  head/sysutils/bacula5-client-static/
  head/sysutils/bacula5-client-static/Makefile
  head/sysutils/bacula5-docs/
  head/sysutils/bacula5-docs/Makefile
  head/sysutils/bacula5-server/
  head/sysutils/bacula5-server/Makefile
  head/sysutils/bacula5-server/Makefile.common
Comment 27 commit-hook freebsd_committer 2014-08-07 19:24:48 UTC
A commit references this bug:

Author: wg
Date: Thu Aug  7 19:24:14 UTC 2014
New revision: 364313
URL: http://svnweb.freebsd.org/changeset/ports/364313

Log:
  sysutils/bacula-server: update to 7.0.4

  PR:		191311
  Submitted by:	maintainer

Changes:
  head/sysutils/bacula-server/Makefile
  head/sysutils/bacula-server/Makefile.common
  head/sysutils/bacula-server/distinfo
  head/sysutils/bacula-server/files/patch-src__cats__Makefile.in
  head/sysutils/bacula-server/files/patch-src__cats__install-default-backend.in
  head/sysutils/bacula-server/files/patch-src__console__Makefile.in
  head/sysutils/bacula-server/files/patch-src__dird__Makefile.in
  head/sysutils/bacula-server/files/patch-src__filed__Makefile.in
  head/sysutils/bacula-server/files/patch-src__findlib__Makefile.in
  head/sysutils/bacula-server/files/patch-src__lib__Makefile.in
  head/sysutils/bacula-server/files/patch-src__stored__Makefile.in
  head/sysutils/bacula-server/files/patch-src__tools__Makefile.in
  head/sysutils/bacula-server/files/pkg-deinstall.client.in
  head/sysutils/bacula-server/files/pkg-deinstall.server.in
  head/sysutils/bacula-server/files/pkg-install.client.in
  head/sysutils/bacula-server/files/pkg-install.server.in
  head/sysutils/bacula-server/files/pkg-message.client.in
  head/sysutils/bacula-server/files/pkg-message.server.in
  head/sysutils/bacula-server/pkg-plist
  head/sysutils/bacula-server/pkg-plist.client